//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "UnitHomepage1.h"
#include "UnitDirect3D_1.h"
#include "3DAnwendung.h"
#include "My3DAnwendung.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
//---------------------------------------------------------------------------

TForm1 *Form1;
Control3D* lpControl3D;
MyScene3D* lpMyScene3D;

//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
  Direct3DParameters p;

  FormDirect3DSetup = new TFormDirect3DSetup(this);
  p = FormDirect3DSetup->execute();
  delete FormDirect3DSetup;

  lpControl3D = new Control3D(p, Form1);
  lpMyScene3D = new MyScene3D(lpControl3D);

  Timer1->Enabled = true; //Timer1 sorgt fr regelmiges Zeichnen der Szene
}

//---------------------------------------------------------------------------
void __fastcall TForm1::FormDestroy(TObject *Sender)
{
  Timer1->Enabled = false;

  if(lpMyScene3D)
  {
    delete lpMyScene3D;
  }

  if(lpControl3D)
  {
    delete lpControl3D;
  }
}
//---------------------------------------------------------------------------


void __fastcall TForm1::Timer1Timer(TObject *Sender)
{
  lpMyScene3D->move();
  lpMyScene3D->render();
}
//---------------------------------------------------------------------------

